import request from '@/utils/request'
// ---------------------问题上报------------------------
// 问题上报修改
export function updateProblemReport(data) {
  return request({
    url: '/problemReport/updateProblemReport',
    method: 'post',
    data
  })
}
// 查询问题上报详情
export function getProblemReportDetailById(data) {
  return request({
    url: '/problemReport/getProblemReportDetailById',
    method: 'post',
    data
  })
}
// 问题上报列表分页
export function getProblemReportPage(data) {
  return request({
    url: '/problemReport/getProblemReportPage',
    method: 'post',
    data
  })
}
// 问题上报数据报表
export function getProblemReportData(data) {
  return request({
    url: 'problemReport/getProblemReportData',
    method: 'post',
    data
  })
}
// ---------------------巡查------------------------
// 巡查区域-列表分页
export function disinfectAreaList(data) {
  return request({
    url: '/admin/disinfectArea/getPageList',
    method: 'post',
    data
  })
}
// 巡查区域-新增-修改
export function disinfectAreaEdit(data) {
  return request({
    url: '/admin/disinfectArea/edit',
    method: 'post',
    data
  })
}
// 巡查区域-删除
export function disinfectAreDelete(params) {
  return request({
    url: '/admin/disinfectArea/delete',
    method: 'get',
    params
  })
}
// 巡查区域-列表
export function disinfectAreaGetList(params) {
  return request({
    url: '/admin/disinfectArea/getList',
    method: 'get',
    params
  })
}
// 巡查人员-列表分页
export function disinfectUserList(data) {
  return request({
    url: '/admin/disinfectUser/getPageList',
    method: 'post',
    data
  })
}
// 巡查人员-新增-修改
export function disinfectUserEdit(data) {
  return request({
    url: '/admin/disinfectUser/edit',
    method: 'post',
    data
  })
}
// 巡查人员-删除
export function disinfectUserDel(disinfectUserId) {
  return request({
    url: '/admin/disinfectUser/delete',
    method: 'get',
    params: { disinfectUserId }
  })
}
// 巡查人员的批量导入
export function excelInput(data) {
  return request({
    url: '/admin/disinfectUser/excelInput',
    method: 'post',
    data,
  })
}

// 巡查记录-列表分页
export function disinfectRecordList(data) {
  return request({
    url: '/admin/disinfectRecord/getPageList',
    method: 'post',
    data
  })
}
// 导出本月通行记录
export function monthRecords(data) {
  return request({
    url: '/faceLogExport/monthRecords/doc',
    method: 'post',
    data
  })
}
// 导出当天通行记录
export function todayRecords(data) {
  return request({
    url: '/faceLogExport/todayRecords/doc',
    method: 'post',
    headers: {
      'Content-Type': 'application/json'
    },
    data
  })
}
// 导出本周通行记录
export function weekedRecords(data) {
  return request({
    url: '/faceLogExport/weekedRecords/doc',
    method: 'post',
    data
  })
}
